MONGOC_URI_NEW_FOR_HOST_PORT(3)

NAME
mongoc_uri_new_for_host_port - mongoc_uri_new_for_host_port()

SYNOPSIS

        mongoc_uri_t *
        mongoc_uri_new_for_host_port (const char *hostname, uint16_t port);

PARAMETERS

    •   hostname: A string containing the hostname.

    •   port: A uint16_t.

DESCRIPTION

Creates a new mongoc_uri_t based on the hostname and port provided.

RETURNS

Returns a newly allocated mongoc_uri_t that should be freed with mongoc_uri_destroy() when no longer in use.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc